=== debian/control ===
Source: dump1090-fa
Section: utils
Priority: optional
Maintainer: Oliver Jowett <oliver.jowett@flightaware.com>
Build-Depends: debhelper-compat (= 13),
  librtlsdr-dev <!custom> <rtlsdr>,
  libbladerf-dev <!custom> <bladerf>,
  libhackrf-dev <!custom> <hackrf>,
  liblimesuite-dev <!custom> <limesdr>,
  libsoapysdr-dev <!custom> <soapysdr>,
  libusb-1.0-0-dev <!custom> <rtlsdr> <bladerf> <hackrf> <limesdr>,
  pkg-config, libncurses5-dev
Standards-Version: 4.6.2
Homepage: https://www.flightaware.com/
Vcs-Git: https://github.com/flightaware/dump1090.git
Vcs-Browser: https://github.com/flightaware/dump1090/
Rules-Requires-Root: no

Package: dump1090-fa
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lighttpd
Description: FlightAware ADS-B Ground Station System for SDRs
 Networked Aviation Mode S / ADS-B decoder/translator with support
 for RTL-SDR, BladeRF, HackRF, and LimeSDR software defined radio USB
 device support.
