=== debian/watch ===
version=4
opts="compression=xz,repack,pgpmode=auto,filenamemangle=s/.+\/v?(\d[\d.]*)\.tar\.gz/dump1090-$1.tar.gz/" \
  https://github.com/flightaware/dump1090/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@ \
debian uupdate
